Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.simpleframework.xml.core
Class TextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.core.PersistenceException
                  org.simpleframework.xml.core.TextException

All Implemented Interfaces:
  java.io.Serializable

    public class TextException

extends PersistenceException

The `TextException` is used to represent conditions when an XML element text value is in an invalid state. Typically this is used when text cannot be serialized or deserialized. Also this may be thrown if the `Text` annotation is used to label a field that is not a primitive type.

Author:
  Niall Gallagher
See Also:
  Serialized Form

Constructor Summary
`TextException(java.lang.String text, java.lang.Object... list)` Constructor for the `TextException` object.
`TextException(java.lang.Throwable cause, java.lang.String text, java.lang.Object... list)` Constructor for the `TextException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextException

    public TextException(java.lang.String text,
                         java.lang.Object... list)

  Constructor for the `TextException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

### TextException

    public TextException(java.lang.Throwable cause,
                         java.lang.String text,
                         java.lang.Object... list)

  Constructor for the `TextException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `cause` - the source exception this is used to represent
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD